package cn.com.taiji.esshipservice.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 总队北斗终端离线核查情况表
 * </p>
 *
 * @author linhaiy
 * @since 2022-08-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("a_not_online")
public class ANotOnline implements Serializable {

    private static final long serialVersionUID = 1L;

    //主键
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    //序号
    @TableField("number")
    private Long number;

    //船舶编号
    @TableField("ship_number")
    private String shipNumber;

    //北斗ID
    @TableField("beidou_id")
    private Long beidouId;

    //所属支队
    @TableField("parent_dept_name")
    private String parentDeptName;

    //所属派出所
    @TableField("dept_name")
    private String deptName;

    //船主姓名
    @TableField("name")
    private String name;

    //船主联系电话
    @TableField("phone")
    private String phone;

    //船舶是否在港
    @TableField("is_port")
    private String isPort;

    //目前所在位置
    @TableField("location")
    private String location;

    //离线原因
    @TableField("not_online")
    private String notOnline;

    //7月21日至今是否经过
    @TableField("is_yazhou_yg")
    private String isYazhouYg;

    //经过时间
    @TableField("yazhou_time")
    private String yazhouTime;


    //最后一次位置信息描述
    @TableField("yazhou_describes")
    private String yazhouDescribes;


    //7月21日至今是否经过
    @TableField("is_bmj_yg")
    private String isBmjYg;

    //经过时间
    @TableField("bmj_time")
    private String bmjTime;


    //最后一次位置信息描述
    @TableField("bmj_describes")
    private String bmjDescribes;



    //经过时间
    @TableField("bbw_time")
    private String bbwTime;


    //最后一次位置信息描述
    @TableField("bbw_describes")
    private String bbwDescribes;



    //7月21日-8月3日船舶进出港情况
    @TableField("port_record")
    private String portRecord;



    @TableField("warn_area")
    private String warnArea;
}
