package cn.com.taiji.esshipservice.domain;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import lombok.Data;

import java.io.Serializable;

@Data
public class ApiResult<T> implements Serializable {

    private Integer code;

    private String businessCode = "0";

    private String message;

    private T data;

    public ApiResult() {}

    public ApiResult(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public ApiResult(Integer code, String businessCode, String message) {
        this.code = code;
        this.businessCode = businessCode;
        this.message = message;
    }

    public ApiResult(Integer code, String message, T data) {
        this.code = code;
        this.message = message;
        this.data = data;
    }

    public String ToJSONString() {
        return JSONObject.toJSONString(this, SerializerFeature.WriteEnumUsingToString);
    }

}
